From 11b7229f499917fb1902ce226a31c5e2e7463390 Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Tue, 11 Apr 2023 10:05:18 -0700
Subject: [PATCH v1] docs: Building with src/tools/msvc is deprecated

I added the <warning/> in two places in install-windows.sgml so it's visible
on both the generated pages in the chunked output.
---
 doc/src/sgml/install-windows.sgml | 16 ++++++++++++++++
 doc/src/sgml/installation.sgml    | 11 ++++++++---
 2 files changed, 24 insertions(+), 3 deletions(-)

diff --git a/doc/src/sgml/install-windows.sgml b/doc/src/sgml/install-windows.sgml
index 2db44db2fd9..27a5889d733 100644
--- a/doc/src/sgml/install-windows.sgml
+++ b/doc/src/sgml/install-windows.sgml
@@ -8,6 +8,14 @@
   <secondary>on Windows</secondary>
  </indexterm>
 
+ <warning>
+  <para>
+   Building with this infrastructure is <emphasis>deprecated</emphasis>. It
+   will be removed in <productname>PostgreSQL</productname> 17. Consider
+   building with <link linkend="install-meson">meson</link> instead.
+  </para>
+ </warning>
+
  <para>
   It is recommended that most users download the binary distribution for
   Windows, available as a graphical installer package
@@ -62,6 +70,14 @@
   <title>Building with <productname>Visual C++</productname> or the
   <productname>Microsoft Windows SDK</productname></title>
 
+ <warning>
+  <para>
+   Building with this infrastructure is <emphasis>deprecated</emphasis>. It
+   will be removed in <productname>PostgreSQL</productname> 17. Consider
+   building with <link linkend="install-meson">meson</link> instead.
+  </para>
+ </warning>
+
  <para>
   PostgreSQL can be built using the Visual C++ compiler suite from Microsoft.
   These compilers can be either from <productname>Visual Studio</productname>,
diff --git a/doc/src/sgml/installation.sgml b/doc/src/sgml/installation.sgml
index f451204854c..b9d3fdeafdb 100644
--- a/doc/src/sgml/installation.sgml
+++ b/doc/src/sgml/installation.sgml
@@ -26,9 +26,14 @@ documentation.  See standalone-profile.xsl for details.
 
  <para>
   If you are building <productname>PostgreSQL</productname> for Microsoft
-  Windows, read this chapter if you intend to build with MinGW or Cygwin;
-  but if you intend to build with Microsoft's <productname>Visual
-  C++</productname>, see <xref linkend="install-windows"/> instead.
+  Windows, read <xref linkend="install-make"/> if you intend to build
+  with make and autoconf (using MinGW or Cygwin build environments); read
+  <xref linkend="install-meson"/> if you intend to build with
+  <productname>meson</productname> (using Microsoft <productname>Visual
+  C++</productname>, MinGW or Cygwin build environments); if you intend to
+  build with Microsoft's <productname>Visual C++</productname> using the
+  <emphasis>deprecated</emphasis> perl scripts, see <xref
+  linkend="install-windows"/> instead.
  </para>
 
  <sect1 id="install-requirements">
-- 
2.38.0

